Bug 457886 - RFE: moodle: consider switching to using system Smarty if possible
RFE: moodle: consider switching to using system Smarty if possible
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: moodle (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-05 04:08 EDT by Tomas Hoger
Modified: 2008-09-09 15:14 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-09 15:14:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-08-05 04:08:20 EDT
Description of problem:
Current moodle packages contain a private copy of Smarty, which is also packaged in Fedora as php-Smarty.  Any bug (or security issue) in Smarty now requires update of both php-Smarty and all applications having own copy.

Please investigate if moodle can be used with system Smarty, or depends on some project-specific customizations.

Possible straight forward way to use system smarty is to do something like:
  rm -rf /var/www/moodle/web/lib/smarty
  ln -s /usr/share/php/Smarty/ /var/www/moodle/web/lib/smarty

+ depends on php-Smarty

Ideally, there may be a way to use system smarty without exposing it in the directory served by web server, as was done in php-pear-PhpDocumentor:
http://cvs.fedoraproject.org/viewcvs/rpms/php-pear-PhpDocumentor/devel/php-pear-PhpDocumentor.spec?r1=1.4&r2=1.5


Version-Release number of selected component (if applicable):
moodle-1.9.1-2.fc10


Additional info:
Other libraries with local copies in lib/ may also have system package counterpart.
Comment 1 Gwyn Ciesla 2008-08-06 12:27:52 EDT
Smarty dep fixed with symlink in rawhide.  Looking into others, please document here if found. . .
Comment 2 Gwyn Ciesla 2008-08-06 13:01:41 EDT
Working on adodb.  Noticed that the symlink approach fails on upgrade, testing a %pre script to remedy this.
Comment 3 Gwyn Ciesla 2008-08-06 15:35:29 EDT
Built in rawhide using system adodb and magpierss.
Comment 4 Gwyn Ciesla 2008-09-09 15:14:30 EDT
Not finding similarly droppable deps.  Fulfilled scope of initial request. Closing.

Note You need to log in before you can comment on or make changes to this bug.